| i3c Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XI3c Struct Reference
Overview

The XI3c driver instance data. More...

## Data Fields
XI3c_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Pointer to send buffer. More...
u8 * | RecvBufferPtr
| Pointer to recv buffer. More...
u16 | SendByteCount
| Number of bytes still expected to send. More...
u16 | RecvByteCount
| Number of bytes still expected to receive. More...
u8 | Error
| Error value. More...
u8 | CurDeviceCount
| Current number of devices on the bus. More...
XI3c_IntrHandler | StatusHandler
| Event handler function. More...
XI3c_SlaveInfo | XI3c_SlaveInfoTable [XI3C_MAXDAACOUNT]
| Slave info table. More...
u8 | DirectCCC
| Direct CCC. More...

## Detailed Description

The XI3c driver instance data.

The user is required to allocate a variable of this type for each I3C device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XI3c_Config XI3c::Config

Configuration structure.

Referenced by XI3c_CfgInitialize(), XI3c_FillCmdFifo(), XI3c_IbiRecv(), XI3c_IbiRecvPolled(), XI3c_MasterInterruptHandler(), XI3c_MasterRecv(), XI3c_MasterSend(), XI3c_ReadRxFifo(), XI3c_SetSClk(), XI3c_SlaveInterruptHandler(), XI3c_SlaveSend(), XI3c_SlaveSendPolled(), and XI3c_WriteTxFifo().

u8 XI3c::CurDeviceCount

Current number of devices on the bus.

Referenced by XI3c_CfgInitialize(), XI3c_DynaAddrAssign(), and XI3c_MasterInterruptHandler().

u8 XI3c::DirectCCC

Direct CCC.

Referenced by XI3c_SlaveInterruptHandler().

u8 XI3c::Error

Error value.

Referenced by XI3c_MasterInterruptHandler(), and XI3c_SlaveInterruptHandler().

u32 XI3c::IsReady

Device is initialized and ready.

Referenced by XI3c_CfgInitialize(), XI3c_ConfigIbi(), XI3c_DynaAddrAssign(), XI3c_SendTransferCmd(), and XI3c_SetStatusHandler().

u8* XI3c::RecvBufferPtr

Pointer to recv buffer.

Referenced by XI3c_IbiRecv(), XI3c_IbiRecvPolled(), XI3c_MasterRecv(), XI3c_MasterRecvPolled(), XI3c_ReadRxFifo(), XI3c_SlaveRecv(), and XI3c_SlaveRecvPolled().

u16 XI3c::RecvByteCount

Number of bytes still expected to receive.

Referenced by XI3c_IbiRecvPolled(), XI3c_MasterInterruptHandler(), XI3c_MasterRecv(), XI3c_MasterRecvPolled(), and XI3c_ReadRxFifo().

u8* XI3c::SendBufferPtr

Pointer to send buffer.

Referenced by XI3c_DynaAddrAssign(), XI3c_MasterSend(), XI3c_MasterSendPolled(), XI3c_SendTransferCmd(), XI3c_SlaveSend(), XI3c_SlaveSendPolled(), and XI3c_WriteTxFifo().

u16 XI3c::SendByteCount

Number of bytes still expected to send.

Referenced by XI3c_DynaAddrAssign(), XI3c_MasterInterruptHandler(), XI3c_MasterSend(), XI3c_MasterSendPolled(), XI3c_SendTransferCmd(), XI3c_SlaveSend(), XI3c_SlaveSendPolled(), and XI3c_WriteTxFifo().

XI3c_IntrHandler XI3c::StatusHandler

Event handler function.

Referenced by XI3c_MasterInterruptHandler(), XI3c_SetStatusHandler(), and XI3c_SlaveInterruptHandler().

XI3c_SlaveInfo XI3c::XI3c_SlaveInfoTable[XI3C_MAXDAACOUNT]

Slave info table.

Referenced by I3cMasterDaaExample(), and XI3c_DynaAddrAssign().